#include "kernelsolver.h"

void processInitialization(double *&MatrixA, double *&MatrixB, double *&Result, int n){
  MatrixA = new double[n * n];
  MatrixB = new double[n];
  Result = new double[n];

  REP (i, n){
    MatrixB[i] = 1;

    REP (j, n) {
      MatrixA[i * n + j]=i;
    }
  }
}

void processTermination(double *MatrixA, double *MatrixB, double *Result){
  delete[] MatrixA;
  delete[] MatrixB;
  delete[] Result;
}
